<template>
    <div>
        <nav-bar ></nav-bar>
        <main class="d-flex justify-content-start">
            <h1 id="title-home" class="text-light my-2 ml-2">Posts</h1>
            <create-post class="mb-3 mx-auto"></create-post>
            <posts-container></posts-container>
        </main>
    </div>
</template>

<script>
import navBar from '../navBar/navBar.vue'
import CreatePost from '../CreatePost/CreatePost.vue'
import PostsContainer from '../PostsContainer/PostsContainer.vue'

export default {
    data(){
        return{

        }
    },
    
    components: { 
        'nav-bar':navBar,
        'create-post':CreatePost,
        'posts-container':PostsContainer
    },
    created(){
        this.isUserConnected()
    },
    methods:{
        isUserConnected(){
            if(!JSON.parse(localStorage.getItem('token')))
            {
                window.location.href = 'connexion'
            }
        }
    }
}
</script>

<style module src="./Home.css">

</style>